{
  "name": "pupa",
  "version": "1.0.0",
  "description": "Simple micro templating",
  "license": "MIT",
  "repository": {
    "type": "git",
    "url": "git://github.com/sindresorhus/pupa"
  },
  "author": {
    "name": "Sindre Sorhus",
    "email": "sindresorhus@gmail.com",
    "url": "sindresorhus.com"
  },
  "engines": {
    "node": ">=4"
  },
  "scripts": {
    "test": "xo && ava"
  },
  "files": [
    "index.js"
  ],
  "keywords": [
    "string",
    "formatting",
    "template",
    "object",
    "format",
    "interpolate",
    "interpolation",
    "templating",
    "str",
    "obj",
    "tpl",
    "expand",
    "simple",
    "replace",
    "placeholders",
    "values",
    "fmt",
    "transform",
    "micro"
  ],
  "devDependencies": {
    "ava": "*",
    "xo": "*"
  },
  "xo": {
    "esnext": true
  },
  "readme": "# pupa [![Build Status](https://travis-ci.org/sindresorhus/pupa.svg?branch=master)](https://travis-ci.org/sindresorhus/pupa)\n\n> Simple micro templating\n\nUseful when all you need is to fill in some placeholders.\n\n\n## Install\n\n```\n$ npm install --save pupa\n```\n\n\n## Usage\n\n```js\nconst pupa = require('pupa');\n\npupa('The mobile number of {name} is {phone.mobile}', {\n\tname: 'Sindre',\n\tphone: {\n\t\tmobile: '609 24 363'\n\t}\n});\n//=> 'The mobile number of Sindre is 609 24 363'\n\npupa('I like {0} and {1}', ['🦄', '🐮']);\n//=> 'I like 🦄 and 🐮'\n```\n\n\n## API\n\n### pupa(template, data)\n\n#### template\n\nType: `string`\n\nText with placeholders for `data` properties.\n\n#### data\n\nType: `Object` `Array`\n\nData to interpolate into `template`.\n\n\n## FAQ\n\n### What about template literals?\n\nTemplate literals expand on creation. This module expands the template on execution, which can be useful if either or both template and data are lazily created or user-supplied.\n\n\n## License\n\nMIT © [Sindre Sorhus](https://sindresorhus.com)\n",
  "readmeFilename": "readme.md",
  "bugs": {
    "url": "https://github.com/sindresorhus/pupa/issues"
  },
  "homepage": "https://github.com/sindresorhus/pupa",
  "_id": "pupa@1.0.0",
  "_shasum": "9a9568a5af7e657b8462a6e9d5328743560ceff6",
  "_from": "pupa@^1.0.0",
  "_resolved": "https://registry.npmjs.org/pupa/-/pupa-1.0.0.tgz"
}
